Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451074 - FEAT: when the info test fails because the rpm validation of hts fails hts should snag a copy of the modified file
Summary: FEAT: when the info test fails because the rpm validation of hts fails hts sh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL: http://hardware.redhat.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 17:13 UTC by Rob Landry
Modified: 2009-01-27 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-27 22:58:33 UTC


Attachments (Terms of Use)
patch against R18 (deleted)
2008-06-27 15:56 UTC, Greg Nichols
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0047 normal SHIPPED_LIVE hts bug fix update 2009-01-27 22:57:30 UTC

Description Rob Landry 2008-06-12 17:13:18 UTC
Description of problem:

When the info test fails because the test was modified we may be able to learn
more by grabbing a copy of the file and trying to understand the why part; what
change the vendor is looking for in hts; most are going to be malice but some
felt shortcoming (which we may or may not agree with) in either case we'll
likely understand more of the expectations vendors have of the test suite from
this additional data point.

Comment 2 Greg Nichols 2008-06-27 15:56:18 UTC
Created attachment 310450 [details]
patch against R18

Comment 3 Greg Nichols 2008-06-27 15:56:57 UTC
Fix in HTS 5.2 R19

Comment 4 Greg Nichols 2008-08-28 01:45:45 UTC
Fix delayed to HTS 5.3

Comment 10 Yan Tian 2009-01-19 05:03:16 UTC
Verified show "Saving modified source files:..." info in hts-5.3-12.

Comment 11 Yan Tian 2009-01-19 05:38:43 UTC
(In reply to comment #10)
> Verified show "Saving modified source files:..." info in hts-5.3-12.

Also the modified source file was copied to /var/log/hts/runs/{NUM}/info/.

Comment 13 errata-xmlrpc 2009-01-27 22:58:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html


Note You need to log in before you can comment on or make changes to this bug.